org.licas.util

## Class MetaConst

- java.lang.Object
- - org.licas_text.util.MetaConst
  - - org.licas.util.MetaConst

-     public class MetaConst
      extends org.licas_text.util.MetaConst

  Constant values relating to the creation or processing of metadata.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADMIN` Defines admin document
    `static java.lang.String` | `ALL` Defines all of the optional metadata
    `static java.lang.String` | `ALLCONTRACTSCODE` Defines all contracts code tag
    `static java.lang.String` | `ALLSERVICEMETA` Defines all service meta xml description
    `static java.lang.String` | `ASSOCIATEDLINKSERVICEMETA` Defines meta xml descriptions for associated linked services
    `static java.lang.String` | `CHILDSERVICEMETA` Defines child service meta xml description
    `static java.lang.String` | `CLIENT` Defines client id tag
    `static java.lang.String` | `CONTRACT` Defines contract tag
    `static java.lang.String` | `CONTRACTEVALUATION` Defines contract evaluation tag
    `static java.lang.String` | `CONTRACTNOTOK` Defines contract not OK tag
    `static java.lang.String` | `CONTRACTOK` Defines contract OK tag
    `static java.lang.String` | `DETAILS` Defines a fault details element
    `static java.lang.String` | `DYNAMICLINKSERVICEMETA` Defines meta xml descriptions for dynamically linked services
    `static java.lang.String` | `EXISTS` Exists indicator
    `static java.lang.String` | `FAULT` Defines a fault element
    `static java.lang.String` | `FILEPERMISSION` Defines a folder/file permission type
    `static java.lang.String` | `INCORRECTPASSWORDDESC` Defines an incorrect password description
    `static java.lang.String` | `IOEXCEPTION` Defines an IO Exception
    `static java.lang.String` | `METHODFAULT` Defines process a method fault type
    `static java.lang.String` | `NEXTPERMISSION` Defines next permission tag
    `static java.lang.String` | `NONE` None indicator
    `static java.lang.String` | `OTHERCONTRACTMETA` Defines other contract metadata tag
    `static java.lang.String` | `PERMANENTLINKSERVICEMETA` Defines meta xml descriptions for permanently linked services
    `static java.lang.String` | `PERMISSIONS` Defines any permissions tag
    `static java.lang.String` | `POLICY` Defines policy document tag
    `static java.lang.String` | `READ` Defines a read permission
    `static java.lang.String` | `SECURITYMANAGER` Defines a root security manager tag
    `static java.lang.String` | `SERVERFAULT` Defines a server fault type
    `static java.lang.String` | `SERVICEACCESS` Defines a service access fault type
    `static java.lang.String` | `SERVICEACTIONDESC` Defines a service action description
    `static java.lang.String` | `SERVICELEVEL` Defines service level tag
    `static java.lang.String` | `SERVICELEVELCONTRACT` Defines a service service level agreement
    `static java.lang.String` | `SERVICELEVELCONTRACTS` Defines all service service level agreements
    `static java.lang.String` | `SERVICEMETA` Defines service meta xml description
    `static java.lang.String` | `SERVICEMISSING` Defines a service missing fault type
    `static java.lang.String` | `SERVICEMISSINGDESC` Defines a service is missing description
    `static java.lang.String` | `WORKINFO` Defines work or service provision info
    `static java.lang.String` | `WRITE` Defines a write permission

    - ### Fields inherited from class org.licas_text.util.MetaConst

      `ALLEXACT, ALLPARTIAL, ANYSTRUCTURE, FULLMATCH, KEYWORDMETA, KEYWORDSTRUCTURE, META, PARTIALMATCH, PASSWORD, SINGLELIST, STRUCTURETYPE, TEXTHTML, TEXTPLAIN, USERNAME, VALUESEXACT, VALUESPARTIAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADMIN

          public static final java.lang.String ADMIN

      Defines admin document
      See Also:
        Constant Field Values

    - #### ALLSERVICEMETA

          public static final java.lang.String ALLSERVICEMETA

      Defines all service meta xml description
      See Also:
        Constant Field Values

    - #### SERVICEMETA

          public static final java.lang.String SERVICEMETA

      Defines service meta xml description
      See Also:
        Constant Field Values

    - #### CHILDSERVICEMETA

          public static final java.lang.String CHILDSERVICEMETA

      Defines child service meta xml description
      See Also:
        Constant Field Values

    - #### PERMANENTLINKSERVICEMETA

          public static final java.lang.String PERMANENTLINKSERVICEMETA

      Defines meta xml descriptions for permanently linked services
      See Also:
        Constant Field Values

    - #### DYNAMICLINKSERVICEMETA

          public static final java.lang.String DYNAMICLINKSERVICEMETA

      Defines meta xml descriptions for dynamically linked services
      See Also:
        Constant Field Values

    - #### ASSOCIATEDLINKSERVICEMETA

          public static final java.lang.String ASSOCIATEDLINKSERVICEMETA

      Defines meta xml descriptions for associated linked services
      See Also:
        Constant Field Values

    - #### ALL

          public static final java.lang.String ALL

      Defines all of the optional metadata
      See Also:
        Constant Field Values

    - #### NONE

          public static final java.lang.String NONE

      None indicator
      See Also:
        Constant Field Values

    - #### EXISTS

          public static final java.lang.String EXISTS

      Exists indicator
      See Also:
        Constant Field Values

    - #### CLIENT

          public static final java.lang.String CLIENT

      Defines client id tag
      See Also:
        Constant Field Values

    - #### POLICY

          public static final java.lang.String POLICY

      Defines policy document tag
      See Also:
        Constant Field Values

    - #### WORKINFO

          public static final java.lang.String WORKINFO

      Defines work or service provision info
      See Also:
        Constant Field Values

    - #### SERVICELEVELCONTRACTS

          public static final java.lang.String SERVICELEVELCONTRACTS

      Defines all service service level agreements
      See Also:
        Constant Field Values

    - #### SERVICELEVELCONTRACT

          public static final java.lang.String SERVICELEVELCONTRACT

      Defines a service service level agreement
      See Also:
        Constant Field Values

    - #### SERVICELEVEL

          public static final java.lang.String SERVICELEVEL

      Defines service level tag
      See Also:
        Constant Field Values

    - #### CONTRACTEVALUATION

          public static final java.lang.String CONTRACTEVALUATION

      Defines contract evaluation tag
      See Also:
        Constant Field Values

    - #### OTHERCONTRACTMETA

          public static final java.lang.String OTHERCONTRACTMETA

      Defines other contract metadata tag
      See Also:
        Constant Field Values

    - #### CONTRACT

          public static final java.lang.String CONTRACT

      Defines contract tag
      See Also:
        Constant Field Values

    - #### CONTRACTOK

          public static final java.lang.String CONTRACTOK

      Defines contract OK tag
      See Also:
        Constant Field Values

    - #### CONTRACTNOTOK

          public static final java.lang.String CONTRACTNOTOK

      Defines contract not OK tag
      See Also:
        Constant Field Values

    - #### ALLCONTRACTSCODE

          public static final java.lang.String ALLCONTRACTSCODE

      Defines all contracts code tag
      See Also:
        Constant Field Values

    - #### SECURITYMANAGER

          public static final java.lang.String SECURITYMANAGER

      Defines a root security manager tag
      See Also:
        Constant Field Values

    - #### PERMISSIONS

          public static final java.lang.String PERMISSIONS

      Defines any permissions tag
      See Also:
        Constant Field Values

    - #### NEXTPERMISSION

          public static final java.lang.String NEXTPERMISSION

      Defines next permission tag
      See Also:
        Constant Field Values

    - #### FILEPERMISSION

          public static final java.lang.String FILEPERMISSION

      Defines a folder/file permission type
      See Also:
        Constant Field Values

    - #### READ

          public static final java.lang.String READ

      Defines a read permission
      See Also:
        Constant Field Values

    - #### WRITE

          public static final java.lang.String WRITE

      Defines a write permission
      See Also:
        Constant Field Values

    - #### FAULT

          public static final java.lang.String FAULT

      Defines a fault element
      See Also:
        Constant Field Values

    - #### DETAILS

          public static final java.lang.String DETAILS

      Defines a fault details element
      See Also:
        Constant Field Values

    - #### SERVERFAULT

          public static final java.lang.String SERVERFAULT

      Defines a server fault type
      See Also:
        Constant Field Values

    - #### SERVICEMISSING

          public static final java.lang.String SERVICEMISSING

      Defines a service missing fault type
      See Also:
        Constant Field Values

    - #### SERVICEACCESS

          public static final java.lang.String SERVICEACCESS

      Defines a service access fault type
      See Also:
        Constant Field Values

    - #### METHODFAULT

          public static final java.lang.String METHODFAULT

      Defines process a method fault type
      See Also:
        Constant Field Values

    - #### SERVICEMISSINGDESC

          public static final java.lang.String SERVICEMISSINGDESC

      Defines a service is missing description
      See Also:
        Constant Field Values

    - #### SERVICEACTIONDESC

          public static final java.lang.String SERVICEACTIONDESC

      Defines a service action description
      See Also:
        Constant Field Values

    - #### INCORRECTPASSWORDDESC

          public static final java.lang.String INCORRECTPASSWORDDESC

      Defines an incorrect password description
      See Also:
        Constant Field Values

    - #### IOEXCEPTION

          public static final java.lang.String IOEXCEPTION

      Defines an IO Exception
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetaConst

          public MetaConst()